Bug 140880 - rpm --rebuild segfaults
rpm --rebuild segfaults
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-25 22:41 EST by Anthony Rumble
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 18:39:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace of rpm --rebuilddb (657.23 KB, application/x-bzip)
2004-11-25 22:44 EST, Anthony Rumble
no flags Details

  None (edit)
Description Anthony Rumble 2004-11-25 22:41:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
ppc64/iseries (Note theres no ppc64 arch option in the bugzilla list!)



Version-Release number of selected component (if applicable):
rpm-4.2.3-10

How reproducible:
Always

Steps to Reproduce:
1. Is specific to this Logical Partition, others seem to be fine
2.
3.
    

Additional info:
Comment 1 Anthony Rumble 2004-11-25 22:44:58 EST
Created attachment 107470 [details]
Strace of rpm --rebuilddb

Here is an strace -s255 of the rpm --rebuilddb in question
Comment 2 Jeff Johnson 2004-11-26 02:46:50 EST
What does the following say:
    cd /var/lib/rpm
    rm -f __db*
    /usr/lib/rpm/rpmdb_verify Packages

If rpmdb_verify detects problems, the fix is
    cd /var/lib/rpm
    mv Packages Packages-ORIG
    /usr/lib/rpm/rpmdb_dump Packages-ORIG | \
       /usr/lib/rpm/rpmdb_load Packages
    rpm --rebuilddb -vv

Comment 3 Anthony Rumble 2004-11-26 03:39:26 EST
rpmdb_verify doesn't report any problems.

Comment 4 Jeff Johnson 2004-11-26 09:15:22 EST
OK. Could you give me a ptr (i.e. URL, rpmdb's are too big for
an attachment) to your rpmdb please?
    cd /var/lib
    tar czvf /tmp/rpmdb-140880.tar.gz ./rpm
and I'll see if I can reproduce the problem.

Specific to a single logical partition sounds like
some other cause than rpm however. I would expect
an rpm problem to track with an rpmdb or rpm executable,
not a logical partition. But ya never know ...
Comment 5 Anthony Rumble 2004-11-26 16:09:25 EST
http://images.elx.com.au/rpmdb-140880.tar.gz
Comment 6 Dmitri Kushak 2004-11-28 19:49:57 EST
No comments, just adding myself to the CC: list
Comment 7 Anthony Rumble 2004-11-29 18:39:17 EST
The client now informs me that they had inadvertantly restored their
backup tape over /var, including their i386 based /var/lib/rpm from
their previous machine!

Which explains a lot.

Sorry to waste your time Jeff.

Hopefully I will have some better ppc64 bug reports for you later.
(Im chasing down a few at the moment)

Note You need to log in before you can comment on or make changes to this bug.